# stratum_listen_port: the port that will be listening for incoming stratum traffic
# Note `:PORT` format is needed if not specifiying a specific ip range
stratum_port: :5555

# hoosat_address: address/port of the rpc server for hoosat, typically 13110
# For a list of public nodes, run `nslookup mainnet-dnsseed.daglabs-dev.com`
# uncomment for to use a public node
#hoosat_address: 192.168.1.170:42453
hoosat_address: 127.0.0.1:42420

# min_share_diff: only accept shares of the specified difficulty (or higher) from
# the miner(s).  Higher values will reduce the number of shares submitted, thereby
# reducing network traffic and server load, while lower values will increase the
# number of shares submitted, thereby reducing the amount of time needed for
# accurate hashrate measurements
min_share_diff: 0.0001

# block_wait_time: time to wait since last new block message from hoosat before
# manually requesting a new block
# block_wait_time: 500ms

# extranonce_size: size in bytes of extranonce, from 0 (no extranonce) to 3.
# With no extranonce (0), all clients will search through the same nonce-space,
# therefore performing duplicate work unless the miner(s) implement client
# side nonce randomizing.  More bytes allow for more clients with unique
# nonce-spaces (i.e. no overlapping work), but reduces the per client
# overall nonce-space (though with 1s block times, this shouldn't really
# be a concern).
# 1 byte = 256 clients, 2 bytes = 65536, 3 bytes = 16777216.
#extranonce_size: 1

# print_stats: if true will print stats to the console, false just workers
# joining/disconnecting, blocks found, and errors will be printed
print_stats: true

# rolling_stats: if true will show daily rolling average hashrate and shares,
# if false will show cumulative hashrate and shares since worker start
rolling_stats: true

# log_to_file: if true logs will be written to a file local to the executable
log_to_file: true

# prom_port: if this is specified prometheus will serve stats on the port provided
# see readme for summary on how to get prom up and running using docker
# you can get the raw metrics (along with default golang metrics) using
# `curl http://localhost:{prom_port}/metrics`
# Note `:PORT` format is needed if not specifiying a specific ip range
prom_port: :2114


mine_when_not_synced: false

# gbt_cache_ttl: how long to cache GetBlockTemplate responses per payout address.
# Caching reduces RPC load on the node when many workers request templates
# simultaneously after a new block notification.
# Set to 0 (or omit) to disable caching.
# Settings this WILL remove the miner UserAgent / work attribution in the explorer for mined blocks
# gbt_cache_ttl: 200ms
